
Core - Task # 40878

Status: Resolved Priority: Should have
Author: Arvid Jakobsson Category:
Created: 2012-09-13 Assigned To: Arvid Jakobsson
Updated: 2012-09-16 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Sprint Focus:
Subject: Superfluous brackets in sysext backend after namespaces move
Description

The following syntax appears in various parts of the core:

-                               if (((!$root && !$DBmount) && $elFromTable) && $GLOBALS['TCA'][$table]['ctrl']['sortby']) {
+                               if (!$root && !$DBmount && $elFromTable && $GLOBALS['TCA'][$table]['ctrl']['sortby']) {

Related issues:
related to Core - Bug # 40113: Superfluous brackets in functions after namesp... Closed 2012-08-24

Associated revisions
Revision 4433a85e - 2012-09-16 11:42 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysext backend

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I8a30e8689c1c567770d0c03beaa12a0bf29e9b09
Resolves: #40878
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14563
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2012-09-13 00:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14563

#2 - 2012-09-13 00:05 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14563

#3 - 2012-09-13 00:19 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14563

#4 - 2012-09-16 12:27 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4433a85e6ddaf8a07c2226b5d3b92e9da34e19d1.
